<?php

/**
 * Fired during plugin activation
 *
 * @link       setectecnologia.com
 * @since      1.0.0
 *
 * @package    Setec_Donaciones_Aea
 * @subpackage Setec_Donaciones_Aea/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Setec_Donaciones_Aea
 * @subpackage Setec_Donaciones_Aea/includes
 * @author     Jefferson Quintero <quinterpriest@gmail.com>
 */
class Setec_Donaciones_Aea_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {

		$result = add_role( 'donaciones', 
			__('Donaciones' ),
			array(	
				'read'         => true,
				'edit_posts'   => true,
				'delete_posts' => false, 	 
			)		 
		);
		if ( null !== $result ):
			$role = get_role( 'donaciones' );
			$role->add_cap( 'administrar_donaciones' );
			$role->add_cap( 'publish_listados_donaciones' );
			$role->add_cap( 'edit_listados_donaciones' );
			$role->add_cap( 'edit_others_listados_donaciones' );
			$role->add_cap( 'delete_listados_donaciones' );
			$role->add_cap( 'delete_others_listados_donaciones' );
			$role->add_cap( 'read_private_listados_donaciones' );
			$role->add_cap( 'edit_listado_donaciones' );
			$role->add_cap( 'delete_listado_donaciones' );
			$role->add_cap( 'read_listado_donaciones' );
			$role->add_cap( 'exportar_listado_donantes' );
		endif;

		//añade los permisos al usuario admin
		$role_admin = get_role( 'administrator' );
		$role_admin->add_cap( 'administrar_donaciones' );
		$role_admin->add_cap( 'publish_listados_donaciones' );
		$role_admin->add_cap( 'edit_listados_donaciones' );
		$role_admin->add_cap( 'edit_others_listados_donaciones' );
		$role_admin->add_cap( 'delete_listados_donaciones' );
		$role_admin->add_cap( 'delete_others_listados_donaciones' );
		$role_admin->add_cap( 'read_private_listados_donaciones' );
		$role_admin->add_cap( 'edit_listado_donaciones' );
		$role_admin->add_cap( 'delete_listado_donaciones' );
		$role_admin->add_cap( 'read_listado_donaciones' );
		$role_admin->add_cap( 'exportar_listado_donantes' );

	}

}
