<?php

/**
 * Fired during plugin deactivation
 *
 * @link       setectecnologia.com
 * @since      1.0.0
 *
 * @package    Setec_Donaciones_Aea
 * @subpackage Setec_Donaciones_Aea/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Setec_Donaciones_Aea
 * @subpackage Setec_Donaciones_Aea/includes
 * @author     Jefferson Quintero <quinterpriest@gmail.com>
 */
class Setec_Donaciones_Aea_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {

		$role_admin = get_role( 'administrator' );

		$role_admin->remove_cap( 'administrar_donaciones' );
		$role_admin->remove_cap( 'publish_listados_donaciones' );
		$role_admin->remove_cap( 'edit_listados_donaciones' );
		$role_admin->remove_cap( 'edit_others_listados_donaciones' );
		$role_admin->remove_cap( 'delete_listados_donaciones' );
		$role_admin->remove_cap( 'delete_others_listados_donaciones' );
		$role_admin->remove_cap( 'read_private_listados_donaciones' );
		$role_admin->remove_cap( 'edit_listado_donaciones' );
		$role_admin->remove_cap( 'delete_listado_donaciones' );
		$role_admin->remove_cap( 'read_listado_donaciones' );
		$role_admin->remove_cap( 'exportar_listado_donantes' );


		$role = get_role( 'donaciones' );

		$role->remove_cap( 'administrar_donaciones' );
		$role->remove_cap( 'publish_listados_donaciones' );
		$role->remove_cap( 'edit_listados_donaciones' );
		$role->remove_cap( 'edit_others_listados_donaciones' );
		$role->remove_cap( 'delete_listados_donaciones' );
		$role->remove_cap( 'delete_others_listados_donaciones' );
		$role->remove_cap( 'read_private_listados_donaciones' );
		$role->remove_cap( 'edit_listado_donaciones' );
		$role->remove_cap( 'delete_listado_donaciones' );
		$role->remove_cap( 'read_listado_donaciones' );
		$role->remove_cap( 'exportar_listado_donantes' );

		remove_role( 'donaciones' );

	}

}
