<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       setectecnologia.com
 * @since      1.0.0
 *
 * @package    Setec_Donaciones_Aea
 * @subpackage Setec_Donaciones_Aea/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Setec_Donaciones_Aea
 * @subpackage Setec_Donaciones_Aea/includes
 * @author     Jefferson Quintero <quinterpriest@gmail.com>
 */
class Setec_Donaciones_Aea_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'setec-donaciones-aea',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
