(function( $ ) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */

	 //jQuery("#formDonacionPayu").validate().resetForm();

	 jQuery("#setec_payulatam_expiracion").datepicker({ dateFormat: "yy/mm" });

	 jQuery('input:radio[value="40000"]').attr('checked', 'checked');

	 jQuery("#otro_valor").change(function()
	 {
	 	var valCampo=jQuery(this).val();
	 	jQuery('#setec_payulatam_plan_amount').val(valCampo); 
	 	jQuery('#ss-currency-text').text(valCampo); 
	 });

	 jQuery('input:radio[name=optionsRadios]').change(function()
		{
		   if(jQuery(this).val()=='otro')
		   {
		       var valor=jQuery(this).val();
		       jQuery("#otro_valor").val("");
		       jQuery(".show_otro").show();
		       jQuery('#setec_payulatam_plan_amount').val('0'); 
		   }
		   else
		   {
		   	    jQuery(".show_otro").hide();
		        jQuery('#setec_payulatam_plan_amount').val(jQuery(this).val()); 
		        jQuery('#ss-currency-text').text(jQuery(this).val()); 
		   }              
		});

	 function nextPaso1(){

	 	var val=jQuery('input[name=optionsRadios]:checked', '#formDonacionPayu').val();

	 	if(val=='otro'){

	 		if(jQuery('#setec_payulatam_plan_amount').val()<40000){
	 			alert('valor minimo es 40.000 COP');
	 			return false;
	 		}


	 	}

	 }

	 function nextPaso2(){

	 	jQuery.ajax(
		{
			url : setec_add_donante.ajax_url,
			type : 'post',
			dataType: 'json',
			data : jQuery('#formDonacionPayu').serialize() + "&action=setec_add_donante",
			success : function(response)
			{								
				if(response.success)
				{					
					if(typeof response.payu !='undefined'){
						if(typeof response.payu.customer !='undefined'){
							if(response.payu.customer.success){
								jQuery("#setec_payu_customer_id").val(response.payu.customer.response.id);						

								jQuery("#setec_payulatam_first").val("0");

								if(typeof response.payu.customer.key != 'undefined'){
									jQuery("#setec_customer_key").val(response.payu.customer.key);
								}
							}
						}

						if(typeof response.payu.plan !='undefined'){
							if(response.payu.plan.success){
								jQuery("#setec_payu_plan_id").val(response.payu.plan.response.id);	
								jQuery("#setec_plan_code").val(response.payu.plan.code);
								if(typeof response.payu.plan.key != 'undefined'){
									jQuery("#setec_plan_key").val(response.payu.plan.key);
								}
							}
						}
					}					
				}
				else{
					return false;
				}
				
			},
			error : function(jqXHR, error, errorThrown){
				console.log(jqXHR);
			}
		});
	 }

	 function printData(){

	 	jQuery(".items-send .1").text(jQuery("#nombres").val()+" "+jQuery("#apellidos").val());
	 	jQuery(".items-send .2").text(jQuery("#email").val());
	 	jQuery(".items-send .4").text(jQuery("#setec_payulatam_metodo").val());
	 	jQuery(".items-send .3").text(jQuery("#setec_payulatam_plan_amount").val()+" COP");	 
	 }


	 function nextPaso3(){
	 	jQuery.ajax(
		{
			url : setec_add_donante.ajax_url,
			type : 'post',
			dataType: 'json',
			data : jQuery('#formDonacionPayu').serialize() + "&action=setec_add_donante",
			success : function(response)
			{		
				if(response.success)
				{	
					jQuery(".tarjeta-msg").hide();				
					if(typeof response.payu !='undefined'){
						if(typeof response.payu.tarjeta !='undefined'){
							if(response.payu.tarjeta.success){
								jQuery("#setec_payu_tarjeta_id").val(response.payu.tarjeta.response.token);	
								if(typeof response.payu.tarjeta.key != 'undefined'){
									jQuery("#setec_tarjeta_key").val(response.payu.tarjeta.key);
								}
	  							printData();
							}else{
								jQuery(".tarjeta-msg").show();
								jQuery(".tarjeta-msg").text(response.payu.tarjeta.msg);
								//.text();
								return false;
							}
						}

					}				
				}
				else{
					return false;
				}
				
			},
			error : function(jqXHR, error, errorThrown){
				console.log(jqXHR);
			}
		});
	 }

	 function nextPaso4(){
	 	jQuery.ajax(
		{
			url : setec_add_donante.ajax_url,
			type : 'post',
			dataType: 'json',
			data : jQuery('#formDonacionPayu').serialize() + "&action=setec_add_donante",
			success : function(response)
			{		
				if(response.success)
				{	
					jQuery(".tarjeta-msg").hide();				
					if(typeof response.payu !='undefined'){
						if(typeof response.payu.suscripcion !='undefined'){
							if(response.payu.suscripcion.success){								
								jQuery(".tarjeta-fin").show();
							}else{
								//.text();
								return false;
							}
						}

					}				
				}
				else{
					return false;
				}
				
			},
			error : function(jqXHR, error, errorThrown){
				console.log(jqXHR);
			}
		});
	 }

	 

	 

	 	jQuery("#formDonacionPayu").validate();




	 	jQuery('#rootwizard').bootstrapWizard({
	  		'tabClass': 'nav nav-pills',
	  		'onNext': function(tab, navigation, index) {
	  			var $valid = jQuery("#formDonacionPayu").valid();
	  			if(!$valid) {
	  				$validator.focusInvalid();
	  				return false;
	  			}
	  			if(index==1){
	  				nextPaso1();
	  			}
	  			if(index==2){
	  				nextPaso2();
	  			}
	  			if(index==3){
	  				nextPaso3();
	  			}
	  		}
	  	});

	 	jQuery('#rootwizard .finish').click(function() {
			nextPaso4();
		});

})( jQuery );
