<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              setectecnologia.com
 * @since             1.0.0
 * @package           Setec_Donaciones_Aea
 *
 * @wordpress-plugin
 * Plugin Name:       Setec Donaciones AEA
 * Plugin URI:        setectecnologia.com
 * Description:       Plugin que gestiona las donaciones en ayuda en accion
 * Version:           1.0.0
 * Author:            Jefferson Quintero
 * Author URI:        setectecnologia.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       setec-donaciones-aea
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'PLUGIN_NAME_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-setec-donaciones-aea-activator.php
 */
function activate_setec_donaciones_aea() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-setec-donaciones-aea-activator.php';
	Setec_Donaciones_Aea_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-setec-donaciones-aea-deactivator.php
 */
function deactivate_setec_donaciones_aea() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-setec-donaciones-aea-deactivator.php';
	Setec_Donaciones_Aea_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_setec_donaciones_aea' );
register_deactivation_hook( __FILE__, 'deactivate_setec_donaciones_aea' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-setec-donaciones-aea.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_setec_donaciones_aea() {

	$plugin = new Setec_Donaciones_Aea();
	$plugin->run();

}
run_setec_donaciones_aea();
